<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddArchiveAtToOrderIssuesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('order_issues', function (Blueprint $table) {
            $table->timestamp('archive_at')->index()->nullable()->comment('归档事件');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('order_issues', function (Blueprint $table) {
            $table->dropColumn('archive_at');
        });
    }
}
